Some more information on this: if I fix debian/rules so that amd64 isn't
matched just because kfreebsd-amd64 is in the list, I can reproduce exactly
the same test failures on amd64:

export `/usr/bin/dbus-launch` && \
PYTHONPATH=..:../tests:${PYTHONPATH:+:$PYTHONPATH} 
LD_LIBRARY_PATH=./.libs:$LD_LIBRARY_PATH GI_TYPELIB_PATH=.:$GI_TYPELIB_PATH 
XDG_DATA_DIRS=$XDG_DATA_DIRS:/usr/share MALLOC_PERTURB_=85 MALLOC_CHECK_=3 
G_SLICE=debug-blocks TESTS_BUILDDIR=.  /usr/bin/python2.7 -Wd 
../../tests/runtests.py; rc=$?; \
[ "$rc" -ne 0 ] || [ -n "$TEST_NAMES" ] || { TEST_NAMES=compat_test_pygtk 
PYTHONPATH=..:../tests:${PYTHONPATH:+:$PYTHONPATH} 
LD_LIBRARY_PATH=./.libs:$LD_LIBRARY_PATH GI_TYPELIB_PATH=.:$GI_TYPELIB_PATH 
XDG_DATA_DIRS=$XDG_DATA_DIRS:/usr/share MALLOC_PERTURB_=85 MALLOC_CHECK_=3 
G_SLICE=debug-blocks TESTS_BUILDDIR=.  /usr/bin/python2.7 -Wd 
-Werror::PendingDeprecationWarning -Werror::DeprecationWarning 
-Werror::RuntimeWarning ../../tests/runtests.py; rc=$?; }; \
kill $DBUS_SESSION_BUS_PID; \
exit $rc

** (runtests.py:7317): WARNING **: Error retrieving accessibility bus address: 
org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not 
provided by any .service files
/bin/bash: line 4:  7317 Trace/breakpoint trap   
PYTHONPATH=..:../tests:${PYTHONPATH:+:$PYTHONPATH} 
LD_LIBRARY_PATH=./.libs:$LD_LIBRARY_PATH GI_TYPELIB_PATH=.:$GI_TYPELIB_PATH 
XDG_DATA_DIRS=$XDG_DATA_DIRS:/usr/share MALLOC_PERTURB_=85 MALLOC_CHECK_=3 
G_SLICE=debug-blocks TESTS_BUILDDIR=. /usr/bin/python2.7 -Wd 
../../tests/runtests.py
make[4]: *** [check-local] Error 133
make[4]: Leaving directory `/tmp/pygobject/pygobject-3.8.3/build-2.7/tests'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/tmp/pygobject/pygobject-3.8.3/build-2.7/tests'
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory `/tmp/pygobject/pygobject-3.8.3/build-2.7'
dh_auto_test: make -j1 check returned exit code 2
make[1]: *** [override_dh_auto_test] Error 1
make[1]: Leaving directory `/tmp/pygobject/pygobject-3.8.3'
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
-- 
Daniel Schepler


-- 
To UNSUBSCRIBE, email to debian-bugs-rc-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org

Reply via email to